Subject: Re: [PATCH 3/3] git-add --intent-to-add (-N)

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Aug 2008 21:59:01 -0700

Daniel Barkalow <[email-masked]> writes:

> ... these are actually distinguishable, IIRC, by whether the 
> mode bits are set or not, but current code doesn't check that.

IIRC, mode bits all zero means something different, so I do not think that
would fly.  If we really wanted to do this "intent-to-add" properly, we
probably should give one of the flag bits in the in-core index structure.
Unlike on-disk flag bits, they are not scarce resources anymore these
days.